<?php
// WizyTówka 4
if (!defined('WT')) exit();
?>
<!doctype html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="Author" content="http://wizytowka.tomaszgasior.kao.pl" />
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/admin/stylGlowny.css?<?php echo WERSJA_DATA ?>" />
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/admin/stylAdmin.css?<?php echo WERSJA_DATA ?>" />
<?php if ( odczytKonf('kontrastowyPanelAdmin') ) { ?><link rel="Stylesheet" href="<?php echo SYSTEM ?>/admin/stylKontrast.css?<?php echo WERSJA_DATA ?>" /><?php } ?>
<?php if ( odczytKonf('dodatkowyStylWPaneluAdmin') ) { ?><link rel="Stylesheet" href="<?php echo DANE . '/' . odczytKonf('dodatkowyStylWPaneluAdmin'); ?>" /><?php } ?>
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700&subset=latin-ext">
<link rel="Icon" href="<?php echo SYSTEM ?>/admin/pliki/ikona.ico" />
<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<style>input[type="checkbox"],input[type="radio"]{visibility:visible;position:static;} input+label:before{display:none;} ul.listaKafelkowa li span a,ul.listaKafelkowa li span label{display:inline;}</style>
<![endif]-->
<title><?php echo odczytKonf('tytul'); ?> &mdash; WizyTówka <?php echo WERSJA; ?></title>
</head>

<body>

<div class="pa">

<header class="g">
<h1><span>WizyTówka | </span><a tabindex="-999" href="<?php
echo odczytKonf('adres');
if ( defined('ID') and (ID == 'ustawieniaStrony' or ID == 'edycjaStrony') and (!isset($_GET['szkic']) or $_GET['szkic'] != 1) )
	echo '/?id=' . ID2;
?>" target="_blank">Podgląd witryny</a></h1>
	<nav>
	<ul class="menuGlowne">
	<li id="menuZawartosc">Zawartość
		<ul>
			<li><a href="?id=strony" id="menuStrony">Strony</a></li>
			<li><a href="?id=szkiceStron" id="menuSzkiceStron">Szkice stron</a></li>
			<li><a href="?id=utworzStrone" id="menuUtworzStrone">Utwórz stronę</a></li>
			<li class="separator" id="menuSepUSP"><hr /></li>
			<li><a href="?id=wyslanePliki" id="menuPliki">Pliki</a></li>
			<li><a href="?id=wyslijPliki" id="menuWyslijPliki">Wyślij pliki</a></li>
		</ul>
	</li>
	<li id="menuElementy">Elementy
		<ul>
			<li><a href="?id=menu&b=1" id="menuMenuGlowne">Menu główne</a></li>
			<li><a href="?id=menu&b=2" id="menuMenuDodatkowe">Menu dodatkowe</a></li>
			<li class="separator" id="menuSepMDOB"><hr /></li>
			<li><a href="?id=obszary&b=1" id="menuObszarBoczny">Obszar boczny</a></li>
			<li><a href="?id=obszary&b=2" id="menuObszarDodatkowy">Obszar dodatkowy</a></li>
			<li class="separator" id="menuSepOBNIS"><hr /></li>
			<li><a href="?id=naglowekIStopka" id="menuNaglowekIStopka">Nagłówek i stopka</a></li>
		</ul>
	</li>
	<li id="menuKonfiguracja">Konfiguracja
		<ul>
			<li><a href="?id=ustawieniaWitryny" id="menuUstawieniaWitryny">Ustawienia witryny</a></li>
			<li><a href="?id=informacjeWyszukiwarek" id="menuInformacjeWyszukiwarek">Informacje wyszukiwarek</a></li>
			<li><a href="?id=motywyIPersonalizacja" id="menu" id="menuMotywyIPersonalizacja">Motywy i personalizacja</a></li>
			<li class="separator" id="menu" id="menuSepMIPUS"><hr /></li>
			<li><a href="?id=ustawieniaSystemu" id="menuUstawieniaSystemu">Ustawienia systemu</a></li>
		</ul>
	</li>
	<li id="menuNarzedzia">Narzędzia
		<ul>
			<li><a href="?id=statystykiOdwiedzin" id="menuStatystykiOdwiedzin">Statystyki odwiedzn</a></li>
			<li><a href="?id=statystykiZewnetrzne" id="menuStatystykiZewnetrzne">Statystyki zewnętrzne</a></li>
			<li class="separator" id="menuSepSZKZ"><hr /></li>
			<li><a href="?id=kopiaZapasowa" id="menuKopiaZapasowa">Kopia zapasowa</a></li>
			<?php if ( odczytKonf('dziennikBledow') ) { ?><li><a href="?id=dziennikBledow" id="menuDziennikBledow">Dziennik błędów</a></li><?php } ?>
			<?php if ( odczytKonf('edytorPlikow') ) { ?><li><a href="?id=edytorPlikow" id="menuEdytorPlikow">Edytor plików</a></li><?php } ?>
			<?php if ( odczytKonf('edytorWTK') ) { ?><li><a href="?id=wtk" id="menuEdytorWTK">Edytor WTK</a></li><?php } ?>
		</ul>
	</li>
	<li id="menuPomoc">Pomoc
		<ul>
			<li><a href="?id=dokumentacja" id="menuTematyPomocy">Tematy pomocy</a></li>
			<li class="separator" id="menuSepTPL"><hr /></li>
			<li><a href="?id=licencja" id="menuLicencja">Licencja</a></li>
			<li><a href="?id=podziekowania" id="menuPodziekowania">Podziękowania</a></li>
			<li><a href="?id=wizytowka" id="menuOSystemie">O systemie&hellip;</a></li>
		</ul>
	</li>
	<li id="menuWyloguj"><a tabindex="-999" href="?id=wylogowanie" onclick="return confirm('Czy na pewno chcesz się wylogować?')">Wyloguj</a></li>
	</ul>
</nav>
</header>

<div class="g">

<?php
if ( !komunikat() and odczytKonf('przerwaTechniczna') )
	komunikat('xxx.Tryb przerwy technicznej jest obecnie włączony.');

if ( komunikat() != false ) {
	$komunikat = explode( '.', komunikat(), 2 );
?>
<p class="komunikat <?php echo $komunikat[0] ?>" title="Kliknij tutaj, aby ukryć ten komunikat." onclick="this.style.display = 'none';"><?php echo $komunikat[1] ?></p>
<?php
}