<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( isset($_POST['naglowekLogo']) ) {
	if ( $_POST['naglowekLogo'] == '.' )
		$_POST['naglowekLogo'] = '';
	}

	if ( $_POST['naglowekFavikona'] == '.' )
		$_POST['naglowekFavikona'] = '';

    zapisKonfPOST();

	komunikat(1);

}

$listaPlikowGraficznych = listaPlikow('bmp;jpg;jpeg;svg;png');
$listaPlikowIkon        = listaPlikow('ico;png');

$listaPlikowGraficznych['.'] = '(brak logo)';
$listaPlikowIkon['.']        = '(brak favikony)';

$odczytMotywu = odczytTypuMotywu( 'motywy', odczytKonf('motyw') );

$odczytLogo     = odczytKonf('naglowekLogo');
$odczytFavikona = odczytKonf('naglowekFavikona');
if ( empty($odczytLogo) )
	$odczytLogo = '.';
if ( empty($odczytFavikona) )
	$odczytFavikona = '.';

$listaOstatniejAktualizacji = array( 'witryna' => 'Cała witryna', 'strona' => 'Pojedyncza strona' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Nagłówek i stopka</h2>

<form method="post">

<h3>Nagłówek witryny</h3>

<table>
	<tr> <td>Niestandardowy tytuł witryny:</td> <td><input type="text" name="naglowekNiestandardowy" value="<?php echo odczytKonf('naglowekNiestandardowy') ?>" /></td> </tr>
	<tr> <td>Hasło opisujące witrynę:</td> <td><input type="text" name="naglowekHaslo" value="<?php echo odczytKonf('naglowekHaslo') ?>" <?php wylaczElement( $odczytMotywu['mozliwosci']['haslo'], false ); ?> /></td> </tr>
	<tr> <td>Własne logo:</td> <td><select name="naglowekLogo" <?php wylaczElement( $odczytMotywu['mozliwosci']['logo'], false ); ?>><?php generujListeWyboru( $listaPlikowGraficznych, $odczytLogo ); ?></select></td> </tr>
	<tr> <td>Własna favikona:</td> <td><select name="naglowekFavikona"><?php generujListeWyboru( $listaPlikowIkon, $odczytFavikona ); ?></select></td> </tr>
</table>

<?php
if( !$odczytMotywu['mozliwosci']['logo'] ) {
?>
<p class="uwaga">Używany obecnie motyw nie obsługuje możliwości wstawienia własnego logo.</p>
<?php
}
?>

<h3>Stopka witryny</h3>

<table>
	<tr> <td>Dodatkowa treść stopki:</td> <td><textarea name="stopkaDodatkowo"><?php echo odczytKonf('stopkaDodatkowo') ?></textarea></td> </tr>
	<tr> <td>Ostatnia aktualizacja:</td> <td><select name="stopkaOstatniaAktualizacja"><?php generujListeWyboru( $listaOstatniejAktualizacji, odczytKonf('stopkaOstatniaAktualizacja') ); ?></select></td> </tr>
	<tr>
		<td><input type="checkbox" name="stopkaAutor" value="1" <?php zaznaczCheckbox( odczytKonf('stopkaAutor') ); ?> id="op11" /><label for="op11">Znak copyright, autor witryny, rok</label></td>
		<td><input type="checkbox" name="stopkaPanelAdmin" value="1" <?php zaznaczCheckbox( odczytKonf('stopkaPanelAdmin') ); ?> id="op12" /><label for="op12">Odnośnik do panelu administracyjnego</label></td>
	</tr>
</table>

<p class="informacja">Oznaczenie <strong>%sep%</strong> umożliwia umieszczenie w stopce separatora. Oznaczenie <strong>%aktualizacja%</strong> pozwala na umieszczenie daty ostatniej aktualizacji witryny lub strony.</p>

<input type="hidden" name="checkboksy" value="stopkaAutor,stopkaPanelAdmin" />
<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');