<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( !empty($_FILES['plik']['name'][0]) ) {

		foreach ( $_FILES['plik']['name'] as $klucz => $nazwaPliku ) {

			if ( $_FILES['plik']['size'][$klucz] > odczytKonf('wysylaniePlikowMaksymalnieBajtow') ) {
				$maksymalnyRozmiarPliku = round( odczytKonf('wysylaniePlikowMaksymalnieBajtow') / 1024 / 1024, 2);
				komunikat( 'zle.Plik <strong>' . $nazwaPliku . '</strong> jest zbyt duży. Maksymalny rozmiar pliku: ' . $maksymalnyRozmiarPliku . ' MiB.' );
				continue;
			}

			$nazwaPliku = prostaNazwa( $nazwaPliku, odczytKonf('wysylaniePlikowZawszeMaleLitery') );
			if ( !sprawdzNazwe( $nazwaPliku ) ) {
				komunikat( 'zle.Nazwa pliku <strong>' . $nazwaPliku . '</strong> jest niewłaściwa. Plik nie został przesłany.' );
				continue;
			}

			if ( file_exists( odczytKonf('adresPlikow') . '/' . $nazwaPliku ) ) {
				komunikat( 'zle.Plik o nazwie <strong>' . $nazwaPliku . '</strong> już istnieje. Plik nie został przesłany.' );
				continue;
			}

			if ( $_FILES['plik']['error'][$klucz] == 1 ) {
				komunikat( 'zle.Plik <strong>' . $nazwaPliku . '</strong> jest zbyt duży. Przekracza maksymalny rozmiar określony przez PHP.' );
				continue;
			}

			if ( $_FILES['plik']['error'][$klucz] != 0 ) {
				komunikat( 'zle.Wystąpił błąd PHP nr ' . $_FILES['plik']['error'][$klucz] . ' przy wysyłaniu pliku <strong>' . $nazwaPliku . '</strong>.  Plik nie został przesłany.' );
				continue;
			}

			if ( !is_uploaded_file( $_FILES['plik']['tmp_name'][$klucz] ) or !move_uploaded_file ( $_FILES['plik']['tmp_name'][$klucz], odczytKonf('adresPlikow') . '/' . $nazwaPliku ) ) {
				komunikat( 'zle.Wystąpił błąd przy wysyłaniu pliku <strong>' . $nazwaPliku . '</strong>.  Plik nie został przesłany.' );
				continue;
			}

			$ok = 1;

		}

	}

	else
		komunikat('zle.Nie wskazano żadnego pliku do wysłania lub łączny rozmiar plików jest zbyt duży.');

	if ( isset($ok) and komunikat() == null )
		przekierowanie( '?id=wyslanePliki&wyslanoPliki=1' );

}

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Wyślij pliki</h2>

<form method="post" enctype="multipart/form-data">

<table>
	<tr> <td>Wybór plików do przesłania:</td> <td><input type="file" name="plik[]" value="Wybierz pliki" multiple /></td> </tr>
</table>

<p class="informacja">W zależności od możliwości używanej przeglądarki internetowej możesz przesłać tylko jeden lub kilka plików jednocześnie. Jeśli przeglądarka to umożliwia, w celu wskazania kilku plików należy przeciągnąć zaznaczenie myszką lub wskazywać pojedyncze pliki, trzymając wciśnięty przycisk <strong>Ctrl</strong>. <?php if ( ini_get('max_file_uploads') != '' ) { ?>Jednocześnie można przesłać maksymalnie <?php echo ini_get('max_file_uploads') ;?> plików.<?php } ?></p>

<p class="przyciskWysylania"><input type="submit" value="Wyślij pliki" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');