<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje wyświetlania błędu krytycznego i dziennika błędów

function blad ( $komunikat ) {

	$doDziennika = "\n\n" . date('Y-m-d H:i:s') . ' ——— ' . "\n" . str_replace( array('<br />','&mdash;'), array("\n",'—'), $komunikat );
	fwrite( fopen(DANE.'/bledy.log','a'), $doDziennika );

	if ( odczytKonf('bledyKrytyczne') ) {
?>

<!doctype html>

<meta charset="utf-8" />

<div style="background: #EEEEEE; position: fixed; left: 0; right: 0; top: 0; bottom: 0; opacity: 0.6 !important; z-index: 996;">&nbsp;</div>

<div style="font: 21px 'Source Sans Pro', Arial, sans-serif; position: fixed; top: 0; left: 0; right: 0;  width: 500px; margin: auto; margin-top: 8%; background: #FBFBFB; box-shadow: 0 0 4px #909090; cursor: default; text-shadow: none; z-index: 997; opacity: 1 !important; display: block;">
	<h1 style="color: #FF0000; margin: 0; padding: 0.5em; text-align: center; font-size: 2em; background: #f2f2f2; font-weight: normal; display: block; float: none; width: auto;">Błąd krytyczny</h1>
	<p  style="color: #FF0000; margin: 0; padding: 1em 0; text-align: center; font-size: 0.8em; background: #F7F7F7; display: block; float: none; width: auto;">Działanie WizyTówki zostało przerwane, ponieważ wystąpił błąd.<br />Odśwież stronę i spróbuj ponownie lub udaj się wstecz.</p>
	<p  style="color: #FF0000; margin: 0; padding: 1em 0.5em; text-align: center; display: block; float: none; width: auto; overflow-x: auto;"><?php echo $komunikat ?></p>
	<p  style="color: #FF0000; margin: 0; padding: 0.5em; text-align: center; background: #f2f2f2; font-size: 0.6em; display: block; float: none; width: auto;">WizyTówka <?php echo WERSJA ?></p>
</div>
<?php
	exit();
	}

}

function bladPhp ( $poziom, $komunikat, $plik, $linia ) {

	if ( $poziom === E_ERROR )
		$poziom = 'błąd';
	elseif ( $poziom === E_WARNING )
		$poziom = 'ostrzeżenie';
	elseif ( $poziom === E_NOTICE )
		$poziom = 'komunikat';
	else
		$poziom = 'nieznany typ błedu';

	blad ( 'PHP &mdash; ' . $poziom . '.<br />Treść: ' . $komunikat . '<br />Nazwa pliku: ' . $plik . '<br />Linia w pliku: ' . $linia );

	return true;

}