<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje używane w witrynie

function wtOdnosnik ( $identyfikator = null, $id2 = null ) {

	$adres = odczytKonf('adres') . '/';

	if ( !odczytKonf('przyjazneAdresy') )
		$adres .= '?id=';

	if ( empty($identyfikator) )
		$adres .= IDENTYFIKATOR;
	else
		$adres .= $identyfikator;

	if ( $id2 !== null )
		$adres .= '?b=' . $id2;

	return $adres;

}

function wtHead() {

	$odczytStrony = pamiecPodreczna('odczytStrony');
	$odczytMotywu = pamiecPodreczna('odczytMotywu');
	$odczytTypu   = pamiecPodreczna('odczytTypu');

	// kocham IE6!
	if ( odczytKonf('przejsciaIExplorer') )
		echo '<meta http-equiv="page-enter" content="revealTrans(Duration=2,Transition=23)" />' . "\n";
	echo '<!--[if lt IE 9]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->' . "\n";

	// kodowanie znaków + notka o WizyTówce
	echo '<meta http-equiv="content-type" content="text/html; charset=UTF-8" />' . "\n";
	echo '<meta name="generator" content="WizyTówka - http://wizytowka.tomaszgasior.kao.pl" />' . "\n";

	// indeksowanie witryny w wyszukiwarkach
	if ( odczytKonf('indeksowanie') != null )
		echo '<meta name="robots" content="' . odczytKonf('indeksowanie') . '" />' . "\n";

	// informacja o autorze
	if ( odczytKonf('autor') != null )
		echo '<meta name="author" content="' . odczytKonf('autor') . '" />' . "\n";

	// indywidualne oraz wspólne informacje dla wyszukiwarek - description
	if ( odczytKonf('wyszukiwarkiOpis') != null or $odczytStrony['wyszukiwarkiOpis'] != null ) {
		echo '<meta name="description" content="';
		echo ( empty($odczytStrony['wyszukiwarkiOpis']) ) ? odczytKonf('wyszukiwarkiOpis') : $odczytStrony['wyszukiwarkiOpis'];
		echo'" />' . "\n";
	}

	// indywidualne oraz wspólne informacje dla wyszukiwarek - keywords
	if ( odczytKonf('wyszukiwarkiSlowaKluczowe') != null or $odczytStrony['wyszukiwarkiSlowaKluczowe'] != null ) {
		echo '<meta name="description" content="' . odczytKonf('wyszukiwarkiSlowaKluczowe');
		if ( !empty($odczytStrony['wyszukiwarkiSlowaKluczowe']) )
			echo ', ' . $odczytStrony['wyszukiwarkiSlowaKluczowe'];
		echo'" />' . "\n";
	}

	// odnośnik do stylu CSS
	if ( $odczytMotywu['wlasny'] )
		echo '<link rel="stylesheet" href="' . odczytKonf('adres') . '/' . DANE   . '/motywy/' . odczytKonf('motyw') . '/styl.css" />' . "\n";
	else
		echo '<link rel="stylesheet" href="' . odczytKonf('adres') . '/' . SYSTEM . '/motywy/' . odczytKonf('motyw') . '/styl.css" />' . "\n";

	// własna favikona
	if ( odczytKonf('naglowekFavikona') != null )
		echo '<link rel="icon" href="' . odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/' . odczytKonf('naglowekFavikona') . '" />' . "\n";

	// znacznik TITLE, tytuł w przeglądarce
	if ( $odczytStrony['tytulTitle'] == null )
		$odczytStrony['tytulTitle'] = 'Błąd 404';
	echo '<title>' . tekst( str_replace('%strona%',$odczytStrony['tytulTitle'],odczytKonf('ukladTytulu')) ) . '</title>' . "\n";

	// kod typów zawartości stron dla znacznika HEAD
	if ( $odczytTypu['informacje']['znacznikHEAD'] ) {
		$wtUstawieniaStrony = &$odczytStrony;   // dla kodu typów zawartości stron
		if ( $odczytTypu['wlasny'] )
			include( DANE   . '/typy/' . $odczytStrony['typ'] . '/head.php' );
		else
			include( SYSTEM . '/typy/' . $odczytStrony['typ'] . '/head.php' );
	}

	// a teraz czas na personalizację wizualną motywu... 3... 2... 1... START!

	if ( odczytKonf('personalizacja') != 'oryginalnyMotyw' ) {

		$persUzytk = odczytKonf('personalizacja');
		$persMotyw = $odczytMotywu['personalizacja'];

		echo '<style>' . "\n";

		if ( $persUzytk == 'tekst' or $persUzytk == 'zmianyUzytkownika' ) {

			if ( $persMotyw['krojTekstu'] ) {
				echo 'body { font-family: "' . odczytKonf('krojTekstu') . '", sans-serif; }' . "\n";
				$spersonalizowanyKrojGoogleFonts = odczytKonf('krojTekstu');
			}

			if ( $persMotyw['rozmiarTekstu'] )
				echo 'body { font-size: ' . odczytKonf('rozmiarTekstu')  . 'px; }' . "\n";

		}

		if ( ($persUzytk == 'szerokosc' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['szerokosc'] )
			echo 'body { max-width: ' . odczytKonf('szerokosc') . 'px; }' . "\n";

		if ( ($persUzytk == 'tlo' or $persUzytk == 'kolorystyka' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['kolorTla'] )
			echo 'body { background: ' . odczytKonf('kolorTla') . '; }' . "\n";

		if ( ($persUzytk == 'tlo' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['obrazTla'] and odczytKonf('obrazTla') != null ) {

			echo 'body { background-image: url(' . odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/' . odczytKonf('obrazTla') . '); ';

			$zamianaPol = array( 'lewa', 'prawa', 'gora', 'dol',    'srodek' );
			$zamianaAng = array( 'left', 'right', 'top',  'bottom', 'center' );
			echo 'background-position: ' . str_replace( $zamianaPol, $zamianaAng, odczytKonf('obrazTlaPozycja') ) . '; ';

			if ( odczytKonf('obrazTlaPowtarzanie') )
				echo 'background-repeat: repeat; ';
			else
				echo 'background-repeat: no-repeat; ';

			if ( odczytKonf('obrazTlaPrzyczepienie') )
				echo 'background-attachment: fixed; ';
			else
				echo 'background-attachment: scroll; ';

			echo '}' . "\n";

		}

		if ( $persUzytk == 'kolorystyka' or $persUzytk == 'zmianyUzytkownika' ) {

			if ( $persMotyw['kolorTekstu'] )
				echo 'body { color: ' . odczytKonf('kolorTekstu') . '; }' . "\n";

			if ( $odczytMotywu['koloryDodatkowe']['1_nazwa'] != false )
				echo str_replace( '%kolor%', odczytKonf('kolorDodatkowy1'), $odczytMotywu['koloryDodatkowe']['1_CSS'] ) . "\n";
			if ( $odczytMotywu['koloryDodatkowe']['2_nazwa'] != false )
				echo str_replace( '%kolor%', odczytKonf('kolorDodatkowy2'), $odczytMotywu['koloryDodatkowe']['2_CSS'] ) . "\n";

		}

		echo '</style>' . "\n";

	}    // koniec personalizacji wizualnej motywu

	// odnośnik do kroju tekstu z Google Fonts
	if ( $odczytMotywu['dodatkowe']['krojGoogleFonts'] or isset($spersonalizowanyKrojGoogleFonts) ) {
		if ( isset($spersonalizowanyKrojGoogleFonts) )
			$kroj = $spersonalizowanyKrojGoogleFonts;
		else
			$kroj = $odczytMotywu['dodatkowe']['krojGoogleFonts'];
		echo '<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=' . str_replace(' ','+',$kroj) . ':400,700,400italic&subset=latin-ext">' . "\n";
	}

}

function wtNaglowek() {

	$odczytMotywu = pamiecPodreczna('odczytMotywu');

	if ( odczytKonf('naglowekNiestandardowy') == null )
		$tekstNaglowka = tekst( odczytKonf('tytul') );
	else
		$tekstNaglowka = tekst( odczytKonf('naglowekNiestandardowy') );

	echo '<h1><a href="' . odczytKonf('adres') . '">';

	if ( odczytKonf('naglowekLogo') != null and $odczytMotywu['mozliwosci']['logo'] == true )
		echo '<img src="' . odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/' . odczytKonf('naglowekLogo') . '" alt="' . $tekstNaglowka . '" />';
	else
		echo $tekstNaglowka;

	echo '</a></h1>';

	if ( odczytKonf('naglowekHaslo') != null and $odczytMotywu['mozliwosci']['haslo'] == true )
		echo "\n" . '<p>' . tekst( odczytKonf('naglowekHaslo') ) . '</p>';

}

function wtMenu ( $menu = 1, $znacznikPrzed = '<li>', $znacznikPo = '</li>' ) {

	$odczytElementow = odczytPlikuWTK('elementy.wtk',true);

	if ( $menu == 2 )
		$menu = $odczytElementow['menu']['menuDodatkowe'];
	else
		$menu = $odczytElementow['menu']['menuGlowne'];

	foreach ( $menu as $identyfikatorStrony ) {

		if ( $identyfikatorStrony == '.' )
			continue;

		$odczytStrony = odczytStrony($identyfikatorStrony);

		if ( $odczytStrony == false )
			continue;

		else {
			echo $znacznikPrzed . '<a href="' . wtOdnosnik($identyfikatorStrony) . '"';
			if ( $identyfikatorStrony == IDENTYFIKATOR )
				echo ' class="wtAktualnaStronaMenu"';
			echo '>' . tekst($odczytStrony['tytulMenu']) . '</a>' . $znacznikPo . "\n";
		}

	}

}

function wtObszar ( $obszar = 1 ) {

	$odczytElementow = odczytPlikuWTK('elementy.wtk',true);

	if ( $obszar == 2 )
		echo tekst( $odczytElementow['obszary']['obszarDodatkowy'], true );
	else
		echo tekst( $odczytElementow['obszary']['obszarBoczny'], true );

}

function wtElement ( $informacja ) {

	$tablicaInfo = array (
		'menuGlowne' 		=> odczytKonf('menuGlowne'),
		'menuDodatkowe' 	=> odczytKonf('menuDodatkowe'),
		'obszarBoczny' 		=> odczytKonf('obszarBoczny'),
		'obszarDodatkowy' 	=> odczytKonf('obszarDodatkowy')
	);

	return $tablicaInfo[ $informacja ];

}

function wtStopka ( $separator = '<span>|</span>', $informacjeOdMotywu = null ) {

	if ( odczytKonf('stopkaAutor') ) {

		$tresc = '&copy; ';

		if ( odczytKonf('autor') == null )
			$tresc .= odczytKonf('tytul');
		else
			$tresc .= odczytKonf('autor');

		$tresc .= ' ' . date('Y') . ' %sep% ';

	}
	else
		$tresc = null;

	if ( !empty($informacjeOdMotywu) )
		$tresc .= $informacjeOdMotywu . ' %sep% ';

	if ( odczytKonf('stopkaDodatkowo') != null ) {

		if ( odczytKonf('stopkaOstatniaAktualizacja') == 'strona' ) {
			$odczytStrony = pamiecPodreczna('odczytStrony');
			if ( !$odczytStrony )
				$ostatniaAktualizacja = pokazDate(time());   // w razie błędu, wyświetlimy aktualną datę ;-)
			else
				$ostatniaAktualizacja = pokazDate( $odczytStrony['ostatniaAktualizacja'] );
		}

		else
			$ostatniaAktualizacja = pokazDate( odczytKonf('ostatniaAktualizacja') );

		$tresc .= str_replace( '%aktualizacja%', $ostatniaAktualizacja, htmlspecialchars_decode(odczytKonf('stopkaDodatkowo')) ) . ' %sep% ';

	}

	if ( odczytKonf('stopkaPanelAdmin') )
		$tresc .= '<a href="admin.php">' . odczytKonf('stopkaPanelAdminTekst') . '</a> %sep% ';

	$tresc .= '<a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">WizyTówka</a>';

	echo tekst( str_replace('%sep%',$separator,$tresc) );

}

function wtTytulStrony() {

	$odczytStrony = pamiecPodreczna('odczytStrony');

	if ( !$odczytStrony )
		echo 'Strona nie istnieje';
	else
		echo '<a href="' . wtOdnosnik() . '">' . tekst($odczytStrony['tytul']) . '</a>';

}

function wtZawartosc() {

	$odczytStrony = pamiecPodreczna('odczytStrony');

	if ( $odczytStrony != false ) {

		$odczytZawartosci = pamiecPodreczna('odczytZawartosci');
		$odczytTypu       = pamiecPodreczna('odczytTypu');

		$wtUstawieniaStrony = &$odczytStrony;      // dla kodu typów zawartości stron
		$wtZawartoscStrony  = &$odczytZawartosci;  // dla kodu typów zawartości stron

		// kod typów zawartości stron
		if ( $odczytTypu['wlasny'] )
			include( DANE   . '/typy/' . $odczytStrony['typ'] . '/witryna.php' );
		else
			include( SYSTEM . '/typy/' . $odczytStrony['typ'] . '/witryna.php' );

		if ( $odczytTypu['informacje']['zapisWWitrynie'] ) {
			// jeżeli dany typ strony o to prosi, nadpisujemy ustawienia i zawartość strony
			zapisPlikuWTK ( $odczytStrony,     'strony/' . IDENTYFIKATOR . '.wtk' );
			zapisPlikuWTK ( $odczytZawartosci, 'strony/' . IDENTYFIKATOR . '.wtz' );
		}

	}

	else {
		header('"HTTP/1.0 404 Not Found');     // gdy zbłądzisz...
		include( SYSTEM . '/404.php' );
	}

}
