<?php
// WizyTówka 4
if (!defined('WT')) exit();


// podstawowe stałe, ustawienia, funkcje...

error_reporting( E_ALL );
setlocale( LC_ALL, 'pl_PL', 'plk', 'polish' );

if (ini_get('magic_quotes_gpc')) {
	function usunUkosniki( $x ) {
		if (is_string($x))
			$x = stripcslashes($x);
		elseif (is_array($x)) {
			foreach ( $x as $y => $z ) {
				$x[$y] = usunUkosniki($z);
			}
		}
		return $x;
	}
	$_POST = usunUkosniki($_POST);
}

define( 'WERSJA', '4.05 ALFA' );
define( 'WERSJA_DATA', '2014-04-26' );   // ropoczęcie prac: 2013-07-13

include( 'funkcje/bledy.php' );
include( 'funkcje/ciagi.php' );
include( 'funkcje/dane.php'  );
include( 'funkcje/pliki.php' );

set_error_handler( 'bladPhp' );


// instalator

//  ================ wkrótce


// stałe adresu

if ( isset($_GET['id']) )
	define( 'ID', $_GET['id'] );
if ( isset($_GET['b']) )
	define( 'ID2', $_GET['b'] );


// ciąg dalszy zależny od celu naszej podróży

if ( $start == 'strona' ) {

	if ( defined('ID') and odczytKonf('przyjazneAdresy') and strpos($_SERVER['REQUEST_URI'],'?id=') !== false) {
		header( 'Location: ' . odczytKonf('adres') . '/' . ID );
		exit();
	}

	if ( odczytKonf('przerwaTechniczna') and !zalogowany() ) {
		include('przerwa.php');
		exit();      // oszczędźmy sobie nerwów
	}

    include( 'funkcje/witryna.php' );

	if ( defined('ID') )
		define( 'IDENTYFIKATOR', ID );
	else
		define( 'IDENTYFIKATOR', odczytKonf('stronaGlowna') );

	pamiecPodreczna( odczytStrony( IDENTYFIKATOR, false, false ), 'odczytStrony'     );
	pamiecPodreczna( odczytStrony( IDENTYFIKATOR, false, true  ), 'odczytZawartosci' );

	$odczytStrony = pamiecPodreczna('odczytStrony');
	pamiecPodreczna( odczytTypuMotywu( 'typy',  $odczytStrony['typ'] ), 'odczytTypu'   );
	pamiecPodreczna( odczytTypuMotywu( 'motywy', odczytKonf('motyw') ), 'odczytMotywu' );

	$odczytTypu = pamiecPodreczna('odczytTypu');

    if ( $odczytTypu['informacje']['naglowkiHTTP'] ) {

		$odczytZawartosci = pamiecPodreczna('odczytZawartosci');

		$wtZawartoscStrony  = &$odczytZawartosci;   // dla kodu typów zawartości stron
		$wtUstawieniaStrony = &$odczytStrony;       // dla kodu typów zawartości stron
		if ( $odczytTypu['wlasny'] )
			include( DANE   . '/typy/' . $odczytStrony['typ'] . '/http.php' );
		else
			include( SYSTEM . '/typy/' . $odczytStrony['typ'] . '/http.php' );

	}

	unset($odczytStrony);	unset($odczytStrony);

	if     ( file_exists( SYSTEM . '/motywy/' . odczytKonf('motyw') . '/witryna.php' ) )
		include (         'motywy/' . odczytKonf('motyw') . '/witryna.php' );
	elseif ( file_exists( DANE   . '/motywy/' . odczytKonf('motyw') . '/witryna.php' ) )
		include ( DANE . '/motywy/' . odczytKonf('motyw') . '/witryna.php' );
	else
		blad( 'Motyw nie istnieje.<br/>Identyfikator motywu: ' . odczytKonf('motyw') );

}


elseif ( $start == 'admin' ) {

    include( 'funkcje/admin.php' );

	if ( defined('ID') and file_exists( SYSTEM . '/admin/strony/' . ID . '.php' ) )
		include( SYSTEM . '/admin/strony/' . ID . '.php' );
	else
		include( 'admin/strony/' . odczytKonf('domyslnaStronaWPaneluAdmin') . '.php' );

}
