<?php
// WizyTówka 4
if (!defined('WT')) exit();


$egzystencjaPlikuDziennika = file_exists( DANE . '/bledy.log' );

if ( isset($_POST['wyczysc']) and !odczytKonf('wysokieZabezpieczenie') ) {
	if ( $egzystencjaPlikuDziennika )
		usunPlik( DANE . '/bledy.log' );
	$egzystencjaPlikuDziennika = false;
	przekierowanie( '?id=dziennikBledow&wyczyszczono' );
}

if ( isset($_GET['wyczyszczono']) )
	komunikat('dob.Dziennik błędów został wyczyszczony.');

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Dziennik błędów</h2>

<?php
if ( $egzystencjaPlikuDziennika ) {
?>
<pre style="white-space: pre-wrap"><?php echo trim( otworzPlik( DANE . '/bledy.log' ) ); ?></pre>
<?php
}
else
{
?>
<p class="informacja">Nie zapisano jeszcze żadnych informacji w dzienniku błędów. To chyba dobrze, prawda?</p>
<?php
}
?>

<form method="post">
<input type="hidden" name="wyczysc" value="1" />
<p class="przyciskWysylania"><input <?php wylaczElement( $egzystencjaPlikuDziennika, false ); ?> <?php wylaczElement( odczytKonf('wysokieZabezpieczenie'), true ); ?> type="submit" value="Wyczyść dziennik błędów" onclick="return confirm('Czy wyczyścić dziennik?');" /></p>
</form>

<?php
include (SYSTEM.'/admin/stopka.php');