<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !empty($_GET['usunStrone']) ) {

	if ( odczytStrony($_GET['usunStrone']) != false and odczytKonf('stronaGlowna') != $_GET['usunStrone'] ) {

		usunPlik ( DANE . '/strony/' . $_GET['usunStrone'] . '.wtk' );
		usunPlik ( DANE . '/strony/' . $_GET['usunStrone'] . '.wtz' );
		generujMapeWitryny();

		$odczytElementow = odczytPlikuWTK('elementy.wtk');

		foreach ( $odczytElementow['menu'] as $nazwaTegoMenu => $tablicaTegoMenu ) {
			foreach ( $tablicaTegoMenu as $klucz => $elementMenu ) {
				if ( $elementMenu == $_GET['usunStrone'] )
					$odczytElementow['menu'][ $nazwaTegoMenu ][ $klucz ] = '.';   // kropka to pusty element menu
			}
		}

		zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

		przekierowanie ( '?id=strony&usunietoStrone=' . $_GET['usunStrone'] );

	}

	elseif ( odczytStrony($_GET['usunStrone']) != false )
		komunikat('zle.Wybrana do usunięcia strona jest obecnie stroną główną witryny. Strona nie została usunięta.');

}

if ( !empty($_GET['ukryjStrone']) ) {

	if ( odczytStrony($_GET['ukryjStrone']) != false and odczytKonf('stronaGlowna') != $_GET['ukryjStrone'] ) {

		przemianujPlik ( DANE . '/strony/' . $_GET['ukryjStrone'] . '.wtk', DANE . '/szkice/' . $_GET['ukryjStrone'] . '.wtk' );
		przemianujPlik ( DANE . '/strony/' . $_GET['ukryjStrone'] . '.wtz', DANE . '/szkice/' . $_GET['ukryjStrone'] . '.wtz' );
		generujMapeWitryny();

		$odczytElementow = odczytPlikuWTK('elementy.wtk');

		foreach ( $odczytElementow['menu'] as $nazwaTegoMenu => $tablicaTegoMenu ) {
			foreach ( $tablicaTegoMenu as $klucz => $elementMenu ) {
				if ( $elementMenu == $_GET['ukryjStrone'] )
					$odczytElementow['menu'][ $nazwaTegoMenu ][ $klucz ] = '.';   // kropka to pusty element menu
			}
		}

		zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

		przekierowanie ( '?id=szkiceStron&ukrytoStrone=' . $_GET['ukryjStrone'] );

	}

	elseif ( odczytStrony($_GET['ukryjStrone']) != false )
		komunikat('zle.Wybrana do przeniesienia strona jest obecnie stroną główną witryny. Strona nie została przeniesiona.');

}

if ( !empty($_GET['usunietoStrone']) )
	komunikat( 'dob.Strona <strong>' . $_GET['usunietoStrone'] . '</strong> została usunięta.' );

if ( !empty($_GET['opublikowanoStrone']) )
	komunikat( 'dob.Strona <strong>' . $_GET['opublikowanoStrone'] . '</strong> została opublikowana.' );

if ( isset($_GET['utworzonoStrone']) )
	komunikat( 'dob.Strona została utworzona.' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Strony</h2>

<?php
if ( !listaStron() ) {
?>
<p class="informacja">Nie utworzono jeszcze żadnych stron.</p>
<?php
}
else {
?>
<ul class="listaKafelkowa">
<?php
foreach ( listaStron() as $identyfikatorStrony ) {
	$odczytStrony = odczytStrony($identyfikatorStrony);
?>
	<li>
		<span><a title="<?php echo tekst($odczytStrony['tytul']) ?>" href="?id=edycjaStrony&b=<?php echo $identyfikatorStrony; ?>"><?php echo tekst($odczytStrony['tytul']); ?></a></span>
		<a href="?id=ustawieniaStrony&b=<?php echo $identyfikatorStrony; ?>">Ustawienia</a> |
		<a href="?id=edycjaStrony&b=<?php echo $identyfikatorStrony; ?>">Edytuj</a> |
		<a href="?id=strony&ukryjStrone=<?php echo $identyfikatorStrony; ?>" onclick="return confirm('Czy na pewno chcesz przenieść tę stronę do szkiców?')">Ukryj</a> |
		<a href="?id=strony&usunStrone=<?php echo $identyfikatorStrony; ?>" onclick="return confirm('Czy na pewno chcesz usunąć tę stronę?')">Usuń</a>
	</li>
<?php
}
?>
	<li class="dodaj">
		<span><a href="?id=utworzStrone">Utwórz stronę</a></span>
	</li>
</ul>
<?php
}
include (SYSTEM.'/admin/stopka.php');