<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !empty($_GET['usunStrone']) ) {

	if ( odczytStrony($_GET['usunStrone'],true) != false ) {

		usunPlik ( DANE . '/szkice/' . $_GET['usunStrone'] . '.wtk' );
		usunPlik ( DANE . '/szkice/' . $_GET['usunStrone'] . '.wtz' );

		przekierowanie ( '?id=szkiceStron&usunietoStrone=' . $_GET['usunStrone'] );

	}

}

if ( !empty($_GET['publikujStrone']) ) {

	if ( odczytStrony($_GET['publikujStrone'],true) != false ) {

		przemianujPlik ( DANE . '/szkice/' . $_GET['publikujStrone'] . '.wtk', DANE . '/strony/' . $_GET['publikujStrone'] . '.wtk' );
		przemianujPlik ( DANE . '/szkice/' . $_GET['publikujStrone'] . '.wtz', DANE . '/strony/' . $_GET['publikujStrone'] . '.wtz' );
		generujMapeWitryny();

		if ( odczytKonf('menuAutomatycznie') > 0 ) {

			$odczytElementow = odczytPlikuWTK('elementy.wtk');

			if ( odczytKonf('menuAutomatycznie') == 2 )
				$odczytElementow['menu']['menuDodatkowe'][] = $_GET['publikujStrone'];
			else
				$odczytElementow['menu']['menuGlowne'][]    = $_GET['publikujStrone'];

			zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

		}

		przekierowanie ( '?id=strony&opublikowanoStrone=' . $_GET['publikujStrone'] );

	}

}

if ( !empty($_GET['usunietoStrone']) )
	komunikat( 'dob.Szkic strony <strong>' . $_GET['usunietoStrone'] . '</strong> został usunięty.' );

if ( !empty($_GET['ukrytoStrone']) )
	komunikat( 'dob.Strona <strong>' . $_GET['ukrytoStrone'] . '</strong> została przeniesiona do szkiców.' );

if ( isset($_GET['utworzonoStrone']) )
	komunikat('dob.Szkic strony został utworzony.');

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Szkice stron</h2>

<?php
if ( !listaStron(true) ) {
?>
<p class="informacja">Nie utworzono jeszcze żadnych szkiców stron.</p>
<?php
}
else {
?>
<ul class="listaKafelkowa">
<?php
foreach ( listaStron(true) as $identyfikatorStrony ) {
	$odczytStrony = odczytStrony($identyfikatorStrony,true);
?>
	<li>
		<span><a title="<?php echo tekst($odczytStrony['tytul']) ?>" href="?id=edycjaStrony&szkic=1&b=<?php echo $identyfikatorStrony; ?>"><?php echo tekst($odczytStrony['tytul']); ?></a></span>
		<a href="?id=ustawieniaStrony&szkic=1&b=<?php echo $identyfikatorStrony; ?>">Ustawienia</a> |
		<a href="?id=edycjaStrony&szkic=1&b=<?php echo $identyfikatorStrony; ?>">Edytuj</a> |
		<a href="?id=szkiceStron&publikujStrone=<?php echo $identyfikatorStrony; ?>" onclick="return confirm('Czy na pewno chcesz opublikować tę stronę?')">Publikuj</a> |
		<a href="?id=szkiceStron&usunStrone=<?php echo $identyfikatorStrony; ?>" onclick="return confirm('Czy na pewno chcesz usunąć ten szkic?')">Usuń</a>
	</li>
<?php
}
?>
	<li class="dodaj">
		<span><a href="?id=utworzStrone&szkic=1">Utwórz szkic</a></span>
	</li>
</ul>
<?php
}
include (SYSTEM.'/admin/stopka.php');