<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( isset($_GET['szkic']) and $_GET['szkic'] == 1 )
	$szkic = true;
else
	$szkic = false;

$odczytStrony = odczytStrony( ID2, $szkic );

if ( $odczytStrony != false ) {

	$odczytTypu = odczytTypuMotywu( 'typy', $odczytStrony['typ'] );
	if ( $odczytTypu['wlasny'] )
		$lokalizacjaTypu = DANE;
	else
		$lokalizacjaTypu = SYSTEM;

}
else
	$odczytTypu = false;

$wtUstawieniaStrony = &$odczytStrony;  // dla kodu typów zawartości stron
$wtKomunikat        = null;            // dla kodu typów zawartości stron

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytStrony != false and $odczytTypu != false ) {

	// kod typów zawartości stron, etap drugi
	if ( $odczytTypu['informacje']['ustawienia'] ) {

		$wtEtapPaneluAdmin = 2;
		include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/ustawienia.php' );

	}

	if ( empty($_POST['tytulMenu']) )
		$_POST['tytulMenu']  = $_POST['tytul'];
	if ( empty($_POST['tytulTitle']) )
		$_POST['tytulTitle'] = $_POST['tytul'];
	$_POST['ostatniaAktualizacja'] = $odczytStrony['ostatniaAktualizacja'];
	$_POST['typ']                  = $odczytStrony['typ'];
	$_POST['wyszukiwarkiOpis']     = str_replace( "\n", ' ', $_POST['wyszukiwarkiOpis'] );

	$nowyIdentyfikator = $_POST['identyfikator'];
	unset( $_POST['identyfikator'] );

	zapisStronyZFormularza ( $_POST, ID2, $szkic );

	if ( ID2 != $nowyIdentyfikator and !empty($nowyIdentyfikator) ) {

		$nowyIdentyfikator = prostaNazwa($nowyIdentyfikator);

		if ( !sprawdzNazwe($nowyIdentyfikator) )
			komunikat('zle.Identyfikator <strong>' . $nowyIdentyfikator . '</strong> jest niepoprawny.');

		elseif ( odczytStrony($nowyIdentyfikator) != false or odczytStrony($nowyIdentyfikator,true) != false )
			komunikat('zle.Strona z identyfikatorem <strong>' . $nowyIdentyfikator . '</strong> już istnieje. Wybierz inny identyfikator.');

		else {

			if ( $szkic ) {

				przemianujPlik( DANE . '/szkice/' . ID2 . '.wtk' , DANE . '/szkice/' . $nowyIdentyfikator . '.wtk' );
				przemianujPlik( DANE . '/szkice/' . ID2 . '.wtz' , DANE . '/szkice/' . $nowyIdentyfikator . '.wtz' );

				przekierowanie( '?id=ustawieniaStrony&zmienionoIdentyfikator=1&szkic=1&b=' . $nowyIdentyfikator );

			}

			else {

				przemianujPlik( DANE . '/strony/' . ID2 . '.wtk' , DANE . '/strony/' . $nowyIdentyfikator . '.wtk' );
				przemianujPlik( DANE . '/strony/' . ID2 . '.wtz' , DANE . '/strony/' . $nowyIdentyfikator . '.wtz' );
				generujMapeWitryny();

				if ( odczytKonf('stronaGlowna') == ID2 )   // aktualizacja menu i strony gł. przy zmianie ID
					zapisKonf( array( 'stronaGlowna' => $nowyIdentyfikator ) );

				$odczytElementow = odczytPlikuWTK('elementy.wtk');

				foreach ( $odczytElementow['menu'] as $nazwaTegoMenu => $tablicaTegoMenu ) {
					foreach ( $tablicaTegoMenu as $klucz => $elementMenu ) {
						if ( $elementMenu == ID2 )
							$odczytElementow['menu'][ $nazwaTegoMenu ][ $klucz ] = $nowyIdentyfikator;
					}
				}

				zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

				przekierowanie( '?id=ustawieniaStrony&zmienionoIdentyfikator=1&b=' . $nowyIdentyfikator );

			}

		}

	}

	if ( isset($_GET['zmienionoIdentyfikator']) )
		$_GET['zmienionoIdentyfikator'] = false;

	if ( empty($wtKomunikat) and !komunikat() )
		komunikat(1);
	elseif ( !komunikat() )
		komunikat($wtKomunikat);

	$odczytStrony = odczytStrony( ID2, $szkic );  // ponowne pobranie danych w celu odświeżenia

}

if ( !$odczytStrony )
	komunikat( 'zle.Strona z identyfikatorem <strong>' . ID2 . '</strong> nie istnieje.' );
elseif ( !$odczytTypu )
	komunikat( 'zle.Typ zawartości strony <strong>' . $odczytStrony['typ'] . '</strong> nie istnieje.' );

if ( isset($_GET['zmienionoIdentyfikator']) )
	komunikat( 'dob.Strona została zapisana pod nowym identyfikatorem.' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2><?php echo ( !empty($odczytStrony['tytul']) ) ? '<strong>' . tekst($odczytStrony['tytul']) . '</strong>' : '%BŁĄD%'; ?> &mdash; ustawienia <?php echo ($szkic) ? '(szkic)' : ''; ?></h2>

<form method="post">

<?php
// kod typów zawartości stron, etap pierwszy
if ( $odczytTypu['informacje']['ustawienia'] ) {

	$wtEtapPaneluAdmin = 1;
	include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/ustawienia.php' );

}
?>

<h3>Ustawienia ogólne</h3>

<table>
	<tr> <td>Tytuł strony:</td> <td><input type="text" name="tytul" value="<?php echo $odczytStrony['tytul'] ?>" required /></td> </tr>
	<tr> <td>Tytuł strony w menu:</td> <td><input type="text" name="tytulMenu" value="<?php echo ( $odczytStrony['tytulMenu'] != $odczytStrony['tytul'] ) ? $odczytStrony['tytulMenu'] : ''; ?>" placeholder="(domyślny tytuł)" /></td> </tr>
	<tr> <td>Tytuł strony w przeglądarce:</td> <td><input type="text" name="tytulTitle" value="<?php echo ( $odczytStrony['tytulTitle'] != $odczytStrony['tytul'] ) ? $odczytStrony['tytulTitle'] : ''; ?>" placeholder="(domyślny tytuł)" /></td> </tr>
	<tr> <td>Identyfikator strony:</td> <td><input type="text" name="identyfikator" value="<?php echo ID2 ?>" /></td> </tr>
</table>

<h3>Informacje dla wyszukiwarek</h3>

<table>
	<tr> <td>Opis strony:</td> <td><textarea name="wyszukiwarkiOpis"><?php echo $odczytStrony['wyszukiwarkiOpis'] ?></textarea></td> </tr>
	<tr> <td>Słowa kluczowe strony:</td> <td><input type="text" name="wyszukiwarkiSlowaKluczowe" value="<?php echo $odczytStrony['wyszukiwarkiSlowaKluczowe'] ?>" /></td> </tr>
</table>

<p class="przyciskWysylania"><input <?php wylaczElement($odczytTypu,false); ?> type="submit" value="Zapisz ustawienia strony" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');